com.sun.jna.platform.mac

## Class CoreFoundation.CFAllocatorRef

- java.lang.Object
- - com.sun.jna.PointerType
  - - com.sun.jna.platform.mac.CoreFoundation.CFTypeRef
    - - com.sun.jna.platform.mac.CoreFoundation.CFAllocatorRef

All Implemented Interfaces:
  NativeMapped

Enclosing interface:
  CoreFoundation

    public static class CoreFoundation.CFAllocatorRef
    extends CoreFoundation.CFTypeRef

A reference type used in many Core Foundation parameters and function results. It refers to a `CFAllocator` object, which allocates, reallocates, and deallocates memory for Core Foundation objects.

### Constructor Summary

Constructors
Constructor and Description
`CFAllocatorRef()`

### Method Summary

### Methods inherited from class com.sun.jna.platform.mac.CoreFoundation.CFTypeRef

`getTypeID, isTypeID, release, retain`

### Methods inherited from class com.sun.jna.PointerType

`equals, fromNative, getPointer, hashCode, nativeType, setPointer, toNative, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CFAllocatorRef

    public CFAllocatorRef()

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.